Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Retrieve an item

conversations.items.retrieve(item_id, **kwargs) -> ConversationItem
GET
/conversations/{conversation_id}/items/{item_id}

Get a single item from a conversation with the given IDs.

Parameters
conversation_id: str
item_id: str
include: Optional[List[ResponseIncludable]]

Additional fields to include in the response. See the include parameter for listing Conversation items above for more information.

Returns

A single item within a conversation. The set of possible types are the same as the output type of a Response object.

One of the following:
class Message: …

A message to or from the model.

class ResponseFunctionToolCallItem: …

A tool call to run a function. See the function calling guide for more information.

class ResponseFunctionToolCallOutputItem: …
class ResponseFileSearchToolCall: …

The results of a file search tool call. See the file search guide for more information.

class ImageGenerationCall: …

An image generation request made by the model.

class ResponseComputerToolCall: …

A tool call to a computer use tool. See the computer use guide for more information.

class ResponseComputerToolCallOutputItem: …
class ResponseToolSearchCall: …
class ResponseToolSearchOutputItem: …
class AdditionalTools: …
class ResponseConfigurationUpdateItem: …

A configuration update for subsequent responses. Each setting stays in effect until a later update replaces that setting.

class ResponseReasoningItem: …

A description of the chain of thought used by a reasoning model while generating a response. Be sure to include these items in your input to the Responses API for subsequent turns of a conversation if you are manually managing context.

class Program: …
class ProgramOutput: …
class ResponseCompactionItem: …

A compaction item generated by the v1/responses/compact API.

class ResponseCodeInterpreterToolCall: …

A tool call to run code.

class LocalShellCall: …

A tool call to run a command on the local shell.

class LocalShellCallOutput: …

The output of a local shell tool call.

class ResponseFunctionShellToolCall: …

A tool call that executes one or more shell commands in a managed environment.

class ResponseFunctionShellToolCallOutput: …

The output of a shell tool call that was emitted.

class ResponseApplyPatchToolCall: …

A tool call that applies file diffs by creating, deleting, or updating files.

class ResponseApplyPatchToolCallOutput: …

The output emitted by an apply patch tool call.

class McpListTools: …

A list of tools available on an MCP server.

class McpApprovalRequest: …

A request for human approval of a tool invocation.

class McpApprovalResponse: …

A response to an MCP approval request.

class McpCall: …

An invocation of a tool on an MCP server.

class ResponseCustomToolCall: …

A call to a custom tool created by the model.

class ResponseCustomToolCallOutput: …

The output of a custom tool call from your code, being sent back to the model.

Retrieve an item

from openai import OpenAI
client = OpenAI()

item = client.conversations.items.retrieve("conv_123", "msg_abc")
print(item)
Response example
{
  "type": "message",
  "id": "msg_abc",
  "status": "completed",
  "role": "user",
  "content": [
    {"type": "input_text", "text": "Hello!"}
  ]
}
Returns Examples
Response example
{
  "type": "message",
  "id": "msg_abc",
  "status": "completed",
  "role": "user",
  "content": [
    {"type": "input_text", "text": "Hello!"}
  ]
}